local reap = require("lib.reap")

local BASE = reap.base_path(...)

local world = require("love_src.wrapper.Concord.world")

local debug_entity = require("love_src.src.world.common.template.debug_entity")
local road = require("love_src.src.world.2_town_square.template.road")

local wm = require("world_map")

local wrapper = world:extend()

function wrapper:new()
  wrapper.super.new(self, BASE, ".2_town_square")
end

function wrapper:load(_args)
  wrapper.super.load(self, {
    "love_src/src/world/common/system/",
    "love_src/src/world/2_town_square/system"
  }, {
    {
      assemblage = debug_entity.assembleDebug,
      data = {
        position = {0, 0},
        label = "2_town_square"
      }
    },
    {
      assemblage = road.assemble,
      data = road.default_data
    },
  })
end

return wrapper
